Table search

Bootstrap table search

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Super fast and easy to use searching functionality dedicated to our tables.

To manipulate a table search, you can use one of the options presented below.

To start working with our tables, please see the "Getting Started" tab on this page.

Note: This integration is available from version 4.5.7 (released 16.07.2018).


Basic example

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Colleen Hurst Javascript Developer San Francisco 39 2009/09/15 $205,500
Sonya Frost Software Engineer Edinburgh 23 2008/12/13 $103,600
Jena Gaines Office Manager London 30 2008/12/19 $90,560
Quinn Flynn Support Lead Edinburgh 22 2013/03/03 $342,000
Charde Marshall Regional Director San Francisco 36 2008/10/16 $470,600
Haley Kennedy Senior Marketing Designer London 43 2012/12/18 $313,500
Tatyana Fitzpatrick Regional Director London 19 2010/03/17 $385,750
Michael Silva Marketing Designer London 66 2012/11/27 $198,500
Paul Byrd Chief Financial Officer (CFO) New York 64 2010/06/09 $725,000
Gloria Little Systems Administrator New York 59 2009/04/10 $237,500
Bradley Greer Software Engineer London 41 2012/10/13 $132,000
Dai Rios Personnel Lead Edinburgh 35 2012/09/26 $217,500
Jenette Caldwell Development Lead New York 30 2011/09/03 $345,000
Yuri Berry Chief Marketing Officer (CMO) New York 40 2009/06/25 $675,000
Caesar Vance Pre-Sales Support New York 21 2011/12/12 $106,450
Doris Wilder Sales Assistant Sidney 23 2010/09/20 $85,600
Angelica Ramos Chief Executive Officer (CEO) London 47 2009/10/09 $1,200,000
Gavin Joyce Developer Edinburgh 42 2010/12/22 $92,575
Jennifer Chang Regional Director Singapore 28 2010/11/14 $357,650
Brenden Wagner Software Engineer San Francisco 28 2011/06/07 $206,850
Fiona Green Chief Operating Officer (COO) San Francisco 48 2010/03/11 $850,000
Shou Itou Regional Marketing Tokyo 20 2011/08/14 $163,000
Michelle House Integration Specialist Sidney 37 2011/06/02 $95,400
Suki Burks Developer London 53 2009/10/22 $114,500
Prescott Bartlett Technical Author London 27 2011/05/07 $145,000
Gavin Cortez Team Leader San Francisco 22 2008/10/26 $235,500
Martena Mccray Post-Sales support Edinburgh 46 2011/03/09 $324,050
Unity Butler Marketing Designer San Francisco 47 2009/12/09 $85,675
Howard Hatfield Office Manager San Francisco 51 2008/12/16 $164,500
Hope Fuentes Secretary San Francisco 41 2010/02/12 $109,850
Vivian Harrell Financial Controller San Francisco 62 2009/02/14 $452,500
Timothy Mooney Office Manager London 37 2008/12/11 $136,200
Jackson Bradshaw Director New York 65 2008/09/26 $645,750
Olivia Liang Support Engineer Singapore 64 2011/02/03 $234,500
Bruno Nash Software Engineer London 38 2011/05/03 $163,500
Sakura Yamamoto Support Engineer Tokyo 37 2009/08/19 $139,575
Thor Walton Developer New York 61 2013/08/11 $98,540
Finn Camacho Support Engineer San Francisco 47 2009/07/07 $87,500
Serge Baldwin Data Coordinator Singapore 64 2012/04/09 $138,575
Zenaida Frank Software Engineer New York 63 2010/01/04 $125,250
Zorita Serrano Software Engineer San Francisco 56 2012/06/01 $115,000
Jennifer Acosta Junior Javascript Developer Edinburgh 43 2013/02/01 $75,650
Cara Stevens Sales Assistant New York 46 2011/12/06 $145,600
Hermione Butler Regional Director London 47 2011/03/21 $356,250
Lael Greer Systems Administrator London 21 2009/02/27 $103,500
Jonas Alexander Developer San Francisco 30 2010/07/14 $86,500
Shad Decker Regional Director Edinburgh 51 2008/11/13 $183,000
Michael Bruce Javascript Developer Singapore 29 2011/06/27 $183,000
Donna Snider Customer Support New York 27 2011/01/25 $112,000
Name Position Office Age Start date Salary

To use the DataTables call the $().DataTables() method on the table. See the exact example in the "JavaScript" tab in the code below.

        
            

        <table id="dtBasicExample" class="table table-striped table-bordered table-sm" cellspacing="0" width="100%">
          <thead>
            <tr>
              <th class="th-sm">Name
              </th>
              <th class="th-sm">Position
              </th>
              <th class="th-sm">Office
              </th>
              <th class="th-sm">Age
              </th>
              <th class="th-sm">Start date
              </th>
              <th class="th-sm">Salary
              </th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>Tiger Nixon</td>
              <td>System Architect</td>
              <td>Edinburgh</td>
              <td>61</td>
              <td>2011/04/25</td>
              <td>$320,800</td>
            </tr>
            <tr>
              <td>Garrett Winters</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>63</td>
              <td>2011/07/25</td>
              <td>$170,750</td>
            </tr>
            <tr>
              <td>Ashton Cox</td>
              <td>Junior Technical Author</td>
              <td>San Francisco</td>
              <td>66</td>
              <td>2009/01/12</td>
              <td>$86,000</td>
            </tr>
            <tr>
              <td>Cedric Kelly</td>
              <td>Senior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2012/03/29</td>
              <td>$433,060</td>
            </tr>
            <tr>
              <td>Airi Satou</td>
              <td>Accountant</td>
              <td>Tokyo</td>
              <td>33</td>
              <td>2008/11/28</td>
              <td>$162,700</td>
            </tr>
            <tr>
              <td>Brielle Williamson</td>
              <td>Integration Specialist</td>
              <td>New York</td>
              <td>61</td>
              <td>2012/12/02</td>
              <td>$372,000</td>
            </tr>
            <tr>
              <td>Herrod Chandler</td>
              <td>Sales Assistant</td>
              <td>San Francisco</td>
              <td>59</td>
              <td>2012/08/06</td>
              <td>$137,500</td>
            </tr>
            <tr>
              <td>Rhona Davidson</td>
              <td>Integration Specialist</td>
              <td>Tokyo</td>
              <td>55</td>
              <td>2010/10/14</td>
              <td>$327,900</td>
            </tr>
            <tr>
              <td>Colleen Hurst</td>
              <td>Javascript Developer</td>
              <td>San Francisco</td>
              <td>39</td>
              <td>2009/09/15</td>
              <td>$205,500</td>
            </tr>
            <tr>
              <td>Sonya Frost</td>
              <td>Software Engineer</td>
              <td>Edinburgh</td>
              <td>23</td>
              <td>2008/12/13</td>
              <td>$103,600</td>
            </tr>
            <tr>
              <td>Jena Gaines</td>
              <td>Office Manager</td>
              <td>London</td>
              <td>30</td>
              <td>2008/12/19</td>
              <td>$90,560</td>
            </tr>
            <tr>
              <td>Quinn Flynn</td>
              <td>Support Lead</td>
              <td>Edinburgh</td>
              <td>22</td>
              <td>2013/03/03</td>
              <td>$342,000</td>
            </tr>
            <tr>
              <td>Charde Marshall</td>
              <td>Regional Director</td>
              <td>San Francisco</td>
              <td>36</td>
              <td>2008/10/16</td>
              <td>$470,600</td>
            </tr>
            <tr>
              <td>Haley Kennedy</td>
              <td>Senior Marketing Designer</td>
              <td>London</td>
              <td>43</td>
              <td>2012/12/18</td>
              <td>$313,500</td>
            </tr>
            <tr>
              <td>Tatyana Fitzpatrick</td>
              <td>Regional Director</td>
              <td>London</td>
              <td>19</td>
              <td>2010/03/17</td>
              <td>$385,750</td>
            </tr>
            <tr>
              <td>Michael Silva</td>
              <td>Marketing Designer</td>
              <td>London</td>
              <td>66</td>
              <td>2012/11/27</td>
              <td>$198,500</td>
            </tr>
            <tr>
              <td>Paul Byrd</td>
              <td>Chief Financial Officer (CFO)</td>
              <td>New York</td>
              <td>64</td>
              <td>2010/06/09</td>
              <td>$725,000</td>
            </tr>
            <tr>
              <td>Gloria Little</td>
              <td>Systems Administrator</td>
              <td>New York</td>
              <td>59</td>
              <td>2009/04/10</td>
              <td>$237,500</td>
            </tr>
            <tr>
              <td>Bradley Greer</td>
              <td>Software Engineer</td>
              <td>London</td>
              <td>41</td>
              <td>2012/10/13</td>
              <td>$132,000</td>
            </tr>
            <tr>
              <td>Dai Rios</td>
              <td>Personnel Lead</td>
              <td>Edinburgh</td>
              <td>35</td>
              <td>2012/09/26</td>
              <td>$217,500</td>
            </tr>
            <tr>
              <td>Jenette Caldwell</td>
              <td>Development Lead</td>
              <td>New York</td>
              <td>30</td>
              <td>2011/09/03</td>
              <td>$345,000</td>
            </tr>
            <tr>
              <td>Yuri Berry</td>
              <td>Chief Marketing Officer (CMO)</td>
              <td>New York</td>
              <td>40</td>
              <td>2009/06/25</td>
              <td>$675,000</td>
            </tr>
            <tr>
              <td>Caesar Vance</td>
              <td>Pre-Sales Support</td>
              <td>New York</td>
              <td>21</td>
              <td>2011/12/12</td>
              <td>$106,450</td>
            </tr>
            <tr>
              <td>Doris Wilder</td>
              <td>Sales Assistant</td>
              <td>Sidney</td>
              <td>23</td>
              <td>2010/09/20</td>
              <td>$85,600</td>
            </tr>
            <tr>
              <td>Angelica Ramos</td>
              <td>Chief Executive Officer (CEO)</td>
              <td>London</td>
              <td>47</td>
              <td>2009/10/09</td>
              <td>$1,200,000</td>
            </tr>
            <tr>
              <td>Gavin Joyce</td>
              <td>Developer</td>
              <td>Edinburgh</td>
              <td>42</td>
              <td>2010/12/22</td>
              <td>$92,575</td>
            </tr>
            <tr>
              <td>Jennifer Chang</td>
              <td>Regional Director</td>
              <td>Singapore</td>
              <td>28</td>
              <td>2010/11/14</td>
              <td>$357,650</td>
            </tr>
            <tr>
              <td>Brenden Wagner</td>
              <td>Software Engineer</td>
              <td>San Francisco</td>
              <td>28</td>
              <td>2011/06/07</td>
              <td>$206,850</td>
            </tr>
            <tr>
              <td>Fiona Green</td>
              <td>Chief Operating Officer (COO)</td>
              <td>San Francisco</td>
              <td>48</td>
              <td>2010/03/11</td>
              <td>$850,000</td>
            </tr>
            <tr>
              <td>Shou Itou</td>
              <td>Regional Marketing</td>
              <td>Tokyo</td>
              <td>20</td>
              <td>2011/08/14</td>
              <td>$163,000</td>
            </tr>
            <tr>
              <td>Michelle House</td>
              <td>Integration Specialist</td>
              <td>Sidney</td>
              <td>37</td>
              <td>2011/06/02</td>
              <td>$95,400</td>
            </tr>
            <tr>
              <td>Suki Burks</td>
              <td>Developer</td>
              <td>London</td>
              <td>53</td>
              <td>2009/10/22</td>
              <td>$114,500</td>
            </tr>
            <tr>
              <td>Prescott Bartlett</td>
              <td>Technical Author</td>
              <td>London</td>
              <td>27</td>
              <td>2011/05/07</td>
              <td>$145,000</td>
            </tr>
            <tr>
              <td>Gavin Cortez</td>
              <td>Team Leader</td>
              <td>San Francisco</td>
              <td>22</td>
              <td>2008/10/26</td>
              <td>$235,500</td>
            </tr>
            <tr>
              <td>Martena Mccray</td>
              <td>Post-Sales support</td>
              <td>Edinburgh</td>
              <td>46</td>
              <td>2011/03/09</td>
              <td>$324,050</td>
            </tr>
            <tr>
              <td>Unity Butler</td>
              <td>Marketing Designer</td>
              <td>San Francisco</td>
              <td>47</td>
              <td>2009/12/09</td>
              <td>$85,675</td>
            </tr>
            <tr>
              <td>Howard Hatfield</td>
              <td>Office Manager</td>
              <td>San Francisco</td>
              <td>51</td>
              <td>2008/12/16</td>
              <td>$164,500</td>
            </tr>
            <tr>
              <td>Hope Fuentes</td>
              <td>Secretary</td>
              <td>San Francisco</td>
              <td>41</td>
              <td>2010/02/12</td>
              <td>$109,850</td>
            </tr>
            <tr>
              <td>Vivian Harrell</td>
              <td>Financial Controller</td>
              <td>San Francisco</td>
              <td>62</td>
              <td>2009/02/14</td>
              <td>$452,500</td>
            </tr>
            <tr>
              <td>Timothy Mooney</td>
              <td>Office Manager</td>
              <td>London</td>
              <td>37</td>
              <td>2008/12/11</td>
              <td>$136,200</td>
            </tr>
            <tr>
              <td>Jackson Bradshaw</td>
              <td>Director</td>
              <td>New York</td>
              <td>65</td>
              <td>2008/09/26</td>
              <td>$645,750</td>
            </tr>
            <tr>
              <td>Olivia Liang</td>
              <td>Support Engineer</td>
              <td>Singapore</td>
              <td>64</td>
              <td>2011/02/03</td>
              <td>$234,500</td>
            </tr>
            <tr>
              <td>Bruno Nash</td>
              <td>Software Engineer</td>
              <td>London</td>
              <td>38</td>
              <td>2011/05/03</td>
              <td>$163,500</td>
            </tr>
            <tr>
              <td>Sakura Yamamoto</td>
              <td>Support Engineer</td>
              <td>Tokyo</td>
              <td>37</td>
              <td>2009/08/19</td>
              <td>$139,575</td>
            </tr>
            <tr>
              <td>Thor Walton</td>
              <td>Developer</td>
              <td>New York</td>
              <td>61</td>
              <td>2013/08/11</td>
              <td>$98,540</td>
            </tr>
            <tr>
              <td>Finn Camacho</td>
              <td>Support Engineer</td>
              <td>San Francisco</td>
              <td>47</td>
              <td>2009/07/07</td>
              <td>$87,500</td>
            </tr>
            <tr>
              <td>Serge Baldwin</td>
              <td>Data Coordinator</td>
              <td>Singapore</td>
              <td>64</td>
              <td>2012/04/09</td>
              <td>$138,575</td>
            </tr>
            <tr>
              <td>Zenaida Frank</td>
              <td>Software Engineer</td>
              <td>New York</td>
              <td>63</td>
              <td>2010/01/04</td>
              <td>$125,250</td>
            </tr>
            <tr>
              <td>Zorita Serrano</td>
              <td>Software Engineer</td>
              <td>San Francisco</td>
              <td>56</td>
              <td>2012/06/01</td>
              <td>$115,000</td>
            </tr>
            <tr>
              <td>Jennifer Acosta</td>
              <td>Junior Javascript Developer</td>
              <td>Edinburgh</td>
              <td>43</td>
              <td>2013/02/01</td>
              <td>$75,650</td>
            </tr>
            <tr>
              <td>Cara Stevens</td>
              <td>Sales Assistant</td>
              <td>New York</td>
              <td>46</td>
              <td>2011/12/06</td>
              <td>$145,600</td>
            </tr>
            <tr>
              <td>Hermione Butler</td>
              <td>Regional Director</td>
              <td>London</td>
              <td>47</td>
              <td>2011/03/21</td>
              <td>$356,250</td>
            </tr>
            <tr>
              <td>Lael Greer</td>
              <td>Systems Administrator</td>
              <td>London</td>
              <td>21</td>
              <td>2009/02/27</td>
              <td>$103,500</td>
            </tr>
            <tr>
              <td>Jonas Alexander</td>
              <td>Developer</td>
              <td>San Francisco</td>
              <td>30</td>
              <td>2010/07/14</td>
              <td>$86,500</td>
            </tr>
            <tr>
              <td>Shad Decker</td>
              <td>Regional Director</td>
              <td>Edinburgh</td>
              <td>51</td>
              <td>2008/11/13</td>
              <td>$183,000</td>
            </tr>
            <tr>
              <td>Michael Bruce</td>
              <td>Javascript Developer</td>
              <td>Singapore</td>
              <td>29</td>
              <td>2011/06/27</td>
              <td>$183,000</td>
            </tr>
            <tr>
              <td>Donna Snider</td>
              <td>Customer Support</td>
              <td>New York</td>
              <td>27</td>
              <td>2011/01/25</td>
              <td>$112,000</td>
            </tr>
          </tbody>
          <tfoot>
            <tr>
              <th>Name
              </th>
              <th>Position
              </th>
              <th>Office
              </th>
              <th>Age
              </th>
              <th>Start date
              </th>
              <th>Salary
              </th>
            </tr>
          </tfoot>
        </table>

      
        
    
        
            

        table.dataTable thead .sorting:after,
        table.dataTable thead .sorting:before,
        table.dataTable thead .sorting_asc:after,
        table.dataTable thead .sorting_asc:before,
        table.dataTable thead .sorting_asc_disabled:after,
        table.dataTable thead .sorting_asc_disabled:before,
        table.dataTable thead .sorting_desc:after,
        table.dataTable thead .sorting_desc:before,
        table.dataTable thead .sorting_desc_disabled:after,
        table.dataTable thead .sorting_desc_disabled:before {
          bottom: .5em;
        }

      
        
    
        
            

        $(document).ready(function () {
          $('#dtBasicExample').DataTable();
          $('.dataTables_length').addClass('bs-select');
        });

      
        
    


Advanced table options

For advanced options of the tables you may take a look at the specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Table generator

Interactive tool for creating fully coded tables.

Angular Bootstrap table search

Angular Table search - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap table search is a component which is super fast and easy to use searching functionality dedicated to our tables.

To manipulate table search use one of the options presented below.


Basic example

Live example
        
            
          <div class="container">
            <div class="row">
              <div class="col-md-12 mx-auto">
                <div class="md-form">
                  <input
                    type="text"
                    [(ngModel)]="searchText"
                    class="form-control"
                    id="search"
                    mdbInput
                  />
                  <label for="search">Search</label>
                </div>
              </div>
            </div>
            <table mdbTable class="z-depth-1">
              <thead>
                <tr>
                  <th
                    *ngFor="let head of headElements; let i = index"
                    scope="col"
                  >
                    {{ head }}
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let el of elements; let i = index">
                  <th scope="row">{{ el.id }}</th>
                  <td class="red-text">{{ el.first }}</td>
                  <td>{{ el.last }}</td>
                  <td>{{ el.handle }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        
        
    
        
            
          import {Component, HostListener, ViewChild} from '@angular/core';
          import {MdbTableDirective} from 'PATH-TO-MDB-ANGULAR';
          
          @Component({
            selector: 'search-table',
            templateUrl: './search-table.component.html',
            styleUrls: ['./search-table.component.scss']
          })
          export class SearchTableComponent {
            @ViewChild(MdbTableDirective, {static: true}) mdbTable: MdbTableDirective;

            elements: any = [];
            headElements = ['ID', 'First', 'Last', 'Handle'];
            searchText: string = '';
            previous: string;
        
            constructor() { }
        
            @HostListener('input') oninput() {
              this.searchItems();
            }
        
            ngOnInit() {
              for (let i = 1; i <= 10; i++) {
                this.elements.push({
                  id: i.toString(),
                  first: 'Wpis ' + i,
                  last: 'Last ' + i,
                  handle: 'Handle ' + i
                });
              }
              this.mdbTable.setDataSource(this.elements);
              this.previous = this.mdbTable.getDataSource();
            }
        
            searchItems() {
              const prev = this.mdbTable.getDataSource();
              if (!this.searchText) {
                this.mdbTable.setDataSource(this.previous);
                this.elements = this.mdbTable.getDataSource();
              }
              if (this.searchText) {
                this.elements = this.mdbTable.searchLocalDataBy(this.searchText);
                this.mdbTable.setDataSource(prev);
              }
            }
          }
        
        
    

Search Data By Multiple Fields

Using the searchLocalDataByMultipleFields(searchText: string, keys: string[]) you can filter table across multiple columns simultaneously

Live example
        
            
          <div class="container">
            <div class="row">
              <div class="col-md-12 mx-auto">
                <div class="md-form">
                  <input
                    type="text"
                    [(ngModel)]="searchText"
                    class="form-control"
                    id="search"
                    mdbInput
                  />
                  <label for="search">Search</label>
                </div>
              </div>
            </div>
            <table mdbTable class="z-depth-1">
              <thead>
                <tr>
                  <th
                    *ngFor="let head of headElements; let i = index"
                    scope="col"
                  >
                    {{ head }}
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let el of elements; let i = index">
                  <th scope="row">{{ el.id }}</th>
                  <td class="red-text">{{ el.first }}</td>
                  <td>{{ el.last }}</td>
                  <td>{{ el.handle }}</td>
                </tr>
              </tbody>
            </table>
          </div>
        
        
    
        
            
          import {Component, HostListener, ViewChild} from '@angular/core';
          import {MdbTableDirective} from 'PATH-TO-MDB-ANGULAR';
          
          @Component({
            selector: 'search-table',
            templateUrl: './search-table.component.html',
            styleUrls: ['./search-table.component.scss']
          })
          export class SearchTableComponent {
            @ViewChild(MdbTableDirective, {static: true}) mdbTable:MdbTableDirective;
            
            elements: any = [];
            headElements = ['ID', 'First', 'Last', 'Handle'];
            searchText: string = '';
            previous: string;
        
            constructor() { }
        
            @HostListener('input') oninput() {
              this.searchItems();
            }
        
            ngOnInit() {
              for (let i = 1; i <= 10; i++) {
                this.elements.push({
                  id:i.toString(),
                  first: 'Wpis' + (Math.floor(Math.random() * i * 10)).toString(),
                  last: 'Last' + (Math.floor(Math.random() * i * 10)).toString(),
                  handle: 'Handle' + (Math.floor(Math.random() * i * 10)).toString()
                });
              }
              this.mdbTable.setDataSource(this.elements);
              this.previous = this.mdbTable.getDataSource();
            }
        
            searchItems() {
              const prev = this.mdbTable.getDataSource();
              if (!this.searchText) {
                this.mdbTable.setDataSource(this.previous);
                this.elements = this.mdbTable.getDataSource();
              }
              if (this.searchText) {
                this.elements = this.mdbTable.searchLocalDataByMultipleFields(this.searchText, ['first', 'last']);
                this.mdbTable.setDataSource(prev);
              }
            }
          }
        
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Table pagination

Table with pagination allows you to paginate through your data in the tables

Angular Datatables - API

In this section you will find advanced information about the Table component. You will find out which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.

Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { WavesModule, TableModule, InputsModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { WavesModule, TableModule, InputsModule } from 'angular-bootstrap-md';
        
        
    
        
            
          import { FormsModule } from '@angular/forms';
        
        
    

Directive

MdbTableDirective

Selector: mdbTable

Export as: mdbTable

Type: MdbTableDirective


Methods

Name Description Example
setDataSource(source: Array<any>) It is used to indicate service an array that stores the data contained in the table. The use of this method is required for the use of results filtering. this.mdbTable.setDataSource(this.elements)
getDataSource() The method returns an array that has been indicated as the data source of the table. The use of this method is required to filter the results. this.elements = this.mdbTable.getDataSource()
searchLocalDataBy(searchText: string) The method starts filtering the source array by the character provided as its parameter. The use of this method is required to be able to filter the results. this.elements = this.mdbTable.searchLocalDataBy(this.searchText)
searchLocalDataByFields(searchText, []) The method works like searchLocalDataBy(searchText: string), further there is possibility to provide fields to be filtered. this.elements = this.mdbTable.searchLocalDataByFields(searchText: string, ['name', 'age'])
searchLocalDataByMultipleFields(searchText, []?) The method works like searchLocalDataBy(searchText: string), further there is possibility to provide multiple fields to be filtered. this.elements = this.mdbTable.searchLocalDataByFields(searchText: string, ['name', 'age']?)

Vue Bootstrap Table Search

Vue Table Search - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap table search are a component which are super fast and easy to use searching functionality dedicated to our tables.

To manipulate table search use one of the options presented below.


Basic example

        
            
          <template>
            <div>
              <mdb-datatable-2 v-model="data" :searching="{value: search, field: 'office'}" />
              <mdb-input class="mt-0" v-model="search" label="Search by office" />
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbDatatable2, mdbInput } from 'mdbvue';
            export default {
              name: 'DatatablePage',
              components: {
                mdbDatatable2,
                mdbInput
              },
              data() {
                return {
                  search: '',
                  data: {
                    columns: [
                      {
                        label: 'Name',
                        field: 'name',
                        sort: true
                      },
                      {
                        label: 'Position',
                        field: 'position',
                        sort: true
                      },
                      {
                        label: 'Office',
                        field: 'office',
                        sort: true
                      },
                      {
                        label: 'Age',
                        field: 'age',
                        sort: true
                      },
                      {
                        label: 'Start date',
                        field: 'date',
                        sort: true
                      },
                      {
                        label: 'Salary',
                        field: 'salary',
                        sort: false,
                        format: value => "£" + value
                      }
                    ],
                    rows: [
                      {
                        name: 'Tiger Nixon',
                        position: 'System Architect',
                        office: 'Edinburgh',
                        age: '61',
                        date: '2011/04/25',
                        salary: '$320'
                      },
                      {
                        name: 'Garrett Winters',
                        position: 'Accountant',
                        office: 'Tokyo',
                        age: '63',
                        date: '2011/07/25',
                        salary: '$170'
                      },
                      {
                        name: 'Ashton Cox',
                        position: 'Junior Technical Author',
                        office: 'San Francisco',
                        age: '66',
                        date: '2009/01/12',
                        salary: '$86'
                      },
                      {
                        name: 'Cedric Kelly',
                        position: 'Senior Javascript Developer',
                        office: 'Edinburgh',
                        age: '22',
                        date: '2012/03/29',
                        salary: '$433'
                      },
                      {
                        name: 'Airi Satou',
                        position: 'Accountant',
                        office: 'Tokyo',
                        age: '33',
                        date: '2008/11/28',
                        salary: '$162'
                      },
                      {
                        name: 'Brielle Williamson',
                        position: 'Integration Specialist',
                        office: 'New York',
                        age: '61',
                        date: '2012/12/02',
                        salary: '$372'
                      },
                      {
                        name: 'Herrod Chandler',
                        position: 'Sales Assistant',
                        office: 'San Francisco',
                        age: '59',
                        date: '2012/08/06',
                        salary: '$137'
                      },
                      {
                        name: 'Rhona Davidson',
                        position: 'Integration Specialist',
                        office: 'Tokyo',
                        age: '55',
                        date: '2010/10/14',
                        salary: '$327'
                      },
                      {
                        name: 'Colleen Hurst',
                        position: 'Javascript Developer',
                        office: 'San Francisco',
                        age: '39',
                        date: '2009/09/15',
                        salary: '$205'
                      },
                      {
                        name: 'Sonya Frost',
                        position: 'Software Engineer',
                        office: 'Edinburgh',
                        age: '23',
                        date: '2008/12/13',
                        salary: '$103'
                      },
                      {
                        name: 'Jena Gaines',
                        position: 'Office Manager',
                        office: 'London',
                        age: '30',
                        date: '2008/12/19',
                        salary: '$90'
                      },
                      {
                        name: 'Quinn Flynn',
                        position: 'Support Lead',
                        office: 'Edinburgh',
                        age: '22',
                        date: '2013/03/03',
                        salary: '$342'
                      },
                      {
                        name: 'Charde Marshall',
                        position: 'Regional Director',
                        office: 'San Francisco',
                        age: '36',
                        date: '2008/10/16',
                        salary: '$470'
                      },
                      {
                        name: 'Haley Kennedy',
                        position: 'Senior Marketing Designer',
                        office: 'London',
                        age: '43',
                        date: '2012/12/18',
                        salary: '$313'
                      },
                      {
                        name: 'Tatyana Fitzpatrick',
                        position: 'Regional Director',
                        office: 'London',
                        age: '19',
                        date: '2010/03/17',
                        salary: '$385'
                      },
                      {
                        name: 'Michael Silva',
                        position: 'Marketing Designer',
                        office: 'London',
                        age: '66',
                        date: '2012/11/27',
                        salary: '$198'
                      },
                      {
                        name: 'Paul Byrd',
                        position: 'Chief Financial Officer (CFO)',
                        office: 'New York',
                        age: '64',
                        date: '2010/06/09',
                        salary: '$725'
                      },
                      {
                        name: 'Gloria Little',
                        position: 'Systems Administrator',
                        office: 'New York',
                        age: '59',
                        date: '2009/04/10',
                        salary: '$237'
                      },
                      {
                        name: 'Bradley Greer',
                        position: 'Software Engineer',
                        office: 'London',
                        age: '41',
                        date: '2012/10/13',
                        salary: '$132'
                      },
                      {
                        name: 'Dai Rios',
                        position: 'Personnel Lead',
                        office: 'Edinburgh',
                        age: '35',
                        date: '2012/09/26',
                        salary: '$217'
                      },
                      {
                        name: 'Jenette Caldwell',
                        position: 'Development Lead',
                        office: 'New York',
                        age: '30',
                        date: '2011/09/03',
                        salary: '$345'
                      },
                      {
                        name: 'Yuri Berry',
                        position: 'Chief Marketing Officer (CMO)',
                        office: 'New York',
                        age: '40',
                        date: '2009/06/25',
                        salary: '$675'
                      },
                      {
                        name: 'Caesar Vance',
                        position: 'Pre-Sales Support',
                        office: 'New York',
                        age: '21',
                        date: '2011/12/12',
                        salary: '$106'
                      },
                      {
                        name: 'Doris Wilder',
                        position: 'Sales Assistant',
                        office: 'Sidney',
                        age: '23',
                        date: '2010/09/20',
                        salary: '$85'
                      },
                      {
                        name: 'Angelica Ramos',
                        position: 'Chief Executive Officer (CEO)',
                        office: 'London',
                        age: '47',
                        date: '2009/10/09',
                        salary: '$1'
                      },
                      {
                        name: 'Gavin Joyce',
                        position: 'Developer',
                        office: 'Edinburgh',
                        age: '42',
                        date: '2010/12/22',
                        salary: '$92'
                      },
                      {
                        name: 'Jennifer Chang',
                        position: 'Regional Director',
                        office: 'Singapore',
                        age: '28',
                        date: '2010/11/14',
                        salary: '$357'
                      },
                      {
                        name: 'Brenden Wagner',
                        position: 'Software Engineer',
                        office: 'San Francisco',
                        age: '28',
                        date: '2011/06/07',
                        salary: '$206'
                      },
                      {
                        name: 'Fiona Green',
                        position: 'Chief Operating Officer (COO)',
                        office: 'San Francisco',
                        age: '48',
                        date: '2010/03/11',
                        salary: '$850'
                      },
                      {
                        name: 'Shou Itou',
                        position: 'Regional Marketing',
                        office: 'Tokyo',
                        age: '20',
                        date: '2011/08/14',
                        salary: '$163'
                      },
                      {
                        name: 'Michelle House',
                        position: 'Integration Specialist',
                        office: 'Sidney',
                        age: '37',
                        date: '2011/06/02',
                        salary: '$95'
                      },
                      {
                        name: 'Suki Burks',
                        position: 'Developer',
                        office: 'London',
                        age: '53',
                        date: '2009/10/22',
                        salary: '$114'
                      },
                      {
                        name: 'Prescott Bartlett',
                        position: 'Technical Author',
                        office: 'London',
                        age: '27',
                        date: '2011/05/07',
                        salary: '$145'
                      },
                      {
                        name: 'Gavin Cortez',
                        position: 'Team Leader',
                        office: 'San Francisco',
                        age: '22',
                        date: '2008/10/26',
                        salary: '$235'
                      },
                      {
                        name: 'Martena Mccray',
                        position: 'Post-Sales support',
                        office: 'Edinburgh',
                        age: '46',
                        date: '2011/03/09',
                        salary: '$324'
                      },
                      {
                        name: 'Unity Butler',
                        position: 'Marketing Designer',
                        office: 'San Francisco',
                        age: '47',
                        date: '2009/12/09',
                        salary: '$85'
                      },
                      {
                        name: 'Howard Hatfield',
                        position: 'Office Manager',
                        office: 'San Francisco',
                        age: '51',
                        date: '2008/12/16',
                        salary: '$164'
                      },
                      {
                        name: 'Hope Fuentes',
                        position: 'Secretary',
                        office: 'San Francisco',
                        age: '41',
                        date: '2010/02/12',
                        salary: '$109'
                      },
                      {
                        name: 'Vivian Harrell',
                        position: 'Financial Controller',
                        office: 'San Francisco',
                        age: '62',
                        date: '2009/02/14',
                        salary: '$452'
                      },
                      {
                        name: 'Timothy Mooney',
                        position: 'Office Manager',
                        office: 'London',
                        age: '37',
                        date: '2008/12/11',
                        salary: '$136'
                      },
                      {
                        name: 'Jackson Bradshaw',
                        position: 'Director',
                        office: 'New York',
                        age: '65',
                        date: '2008/09/26',
                        salary: '$645'
                      },
                      {
                        name: 'Olivia Liang',
                        position: 'Support Engineer',
                        office: 'Singapore',
                        age: '64',
                        date: '2011/02/03',
                        salary: '$234'
                      },
                      {
                        name: 'Bruno Nash',
                        position: 'Software Engineer',
                        office: 'London',
                        age: '38',
                        date: '2011/05/03',
                        salary: '$163'
                      },
                      {
                        name: 'Sakura Yamamoto',
                        position: 'Support Engineer',
                        office: 'Tokyo',
                        age: '37',
                        date: '2009/08/19',
                        salary: '$139'
                      },
                      {
                        name: 'Thor Walton',
                        position: 'Developer',
                        office: 'New York',
                        age: '61',
                        date: '2013/08/11',
                        salary: '$98'
                      },
                      {
                        name: 'Finn Camacho',
                        position: 'Support Engineer',
                        office: 'San Francisco',
                        age: '47',
                        date: '2009/07/07',
                        salary: '$87'
                      },
                      {
                        name: 'Serge Baldwin',
                        position: 'Data Coordinator',
                        office: 'Singapore',
                        age: '64',
                        date: '2012/04/09',
                        salary: '$138'
                      },
                      {
                        name: 'Zenaida Frank',
                        position: 'Software Engineer',
                        office: 'New York',
                        age: '63',
                        date: '2010/01/04',
                        salary: '$125'
                      },
                      {
                        name: 'Zorita Serrano',
                        position: 'Software Engineer',
                        office: 'San Francisco',
                        age: '56',
                        date: '2012/06/01',
                        salary: '$115'
                      },
                      {
                        name: 'Jennifer Acosta',
                        position: 'Junior Javascript Developer',
                        office: 'Edinburgh',
                        age: '43',
                        date: '2013/02/01',
                        salary: '$75'
                      },
                      {
                        name: 'Cara Stevens',
                        position: 'Sales Assistant',
                        office: 'New York',
                        age: '46',
                        date: '2011/12/06',
                        salary: '$145'
                      },
                      {
                        name: 'Hermione Butler',
                        position: 'Regional Director',
                        office: 'London',
                        age: '47',
                        date: '2011/03/21',
                        salary: '$356'
                      },
                      {
                        name: 'Lael Greer',
                        position: 'Systems Administrator',
                        office: 'London',
                        age: '21',
                        date: '2009/02/27',
                        salary: '$103'
                      },
                      {
                        name: 'Jonas Alexander',
                        position: 'Developer',
                        office: 'San Francisco',
                        age: '30',
                        date: '2010/07/14',
                        salary: '$86'
                      },
                      {
                        name: 'Shad Decker',
                        position: 'Regional Director',
                        office: 'Edinburgh',
                        age: '51',
                        date: '2008/11/13',
                        salary: '$183'
                      },
                      {
                        name: 'Michael Bruce',
                        position: 'Javascript Developer',
                        office: 'Singapore',
                        age: '29',
                        date: '2011/06/27',
                        salary: '$183'
                      },
                      {
                        name: 'Donna Snider',
                        position: 'Customer Support',
                        office: 'New York',
                        age: '27',
                        date: '2011/01/25',
                        salary: '$112'
                      }
                      ]
                  }
                }
              }
            }
          </script>
        
        
    

As searching property You can specify plain string or an object with the option of filtering by field name.


Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Vue Bootstrap Datatables - API

This section present detailed information about Datatables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Datatables you need just one component.
mdbDatatable contains huge amount of options and custom styles (corresponding to static tables).

        
            
    <script>
      import { mdbDatatable2 } from 'mdbvue';
    </script>
    
        
    

Usage

There are two ways to bind your data into Datatable
You can build an object of structured data, or bind the link to external API (Json from API must have the same structure as object described below).

        
            
    <template>
      <mdb-datatable :data="data" striped bordered />
    </template>
    <script>
      import {
        mdbDatatable
      } from 'mdbvue';
      export default {
        name: 'DatatablePage',
        components: {
          mdbDatatable
        },
        data() {
          return {
            data: {
              columns: [{
                  label: 'Name',
                  field: 'name',
                  sort: 'asc'
                },
                {
                  label: 'Position',
                  field: 'position',
                  sort: 'asc'
                },
                {
                  label: 'Office',
                  field: 'office',
                  sort: 'asc'
                },
                {
                  label: 'Age',
                  field: 'age',
                  sort: 'asc'
                },
                {
                  label: 'Start date',
                  field: 'date',
                  sort: 'asc'
                },
                {
                  label: 'Salary',
                  field: 'salary',
                  sort: 'asc'
                }
              ],
              rows: [{
                  name: 'Tiger Nixon',
                  position: 'System Architect',
                  office: 'Edinburgh',
                  age: '61',
                  date: '2011/04/25',
                  salary: '$320'
                },
                {
                  name: 'Garrett Winters',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '63',
                  date: '2011/07/25',
                  salary: '$170'
                },
                {
                  name: 'Ashton Cox',
                  position: 'Junior Technical Author',
                  office: 'San Francisco',
                  age: '66',
                  date: '2009/01/12',
                  salary: '$86'
                },
                {
                  name: 'Cedric Kelly',
                  position: 'Senior Javascript Developer',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2012/03/29',
                  salary: '$433'
                },
                {
                  name: 'Airi Satou',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '33',
                  date: '2008/11/28',
                  salary: '$162'
                },
                {
                  name: 'Brielle Williamson',
                  position: 'Integration Specialist',
                  office: 'New York',
                  age: '61',
                  date: '2012/12/02',
                  salary: '$372'
                },
                {
                  name: 'Herrod Chandler',
                  position: 'Sales Assistant',
                  office: 'San Francisco',
                  age: '59',
                  date: '2012/08/06',
                  salary: '$137'
                },
                {
                  name: 'Rhona Davidson',
                  position: 'Integration Specialist',
                  office: 'Tokyo',
                  age: '55',
                  date: '2010/10/14',
                  salary: '$327'
                },
                {
                  name: 'Colleen Hurst',
                  position: 'Javascript Developer',
                  office: 'San Francisco',
                  age: '39',
                  date: '2009/09/15',
                  salary: '$205'
                },
                {
                  name: 'Sonya Frost',
                  position: 'Software Engineer',
                  office: 'Edinburgh',
                  age: '23',
                  date: '2008/12/13',
                  salary: '$103'
                },
                {
                  name: 'Jena Gaines',
                  position: 'Office Manager',
                  office: 'London',
                  age: '30',
                  date: '2008/12/19',
                  salary: '$90'
                },
                {
                  name: 'Quinn Flynn',
                  position: 'Support Lead',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2013/03/03',
                  salary: '$342'
                },
                {
                  name: 'Charde Marshall',
                  position: 'Regional Director',
                  office: 'San Francisco',
                  age: '36',
                  date: '2008/10/16',
                  salary: '$470'
                },
                {
                  name: 'Haley Kennedy',
                  position: 'Senior Marketing Designer',
                  office: 'London',
                  age: '43',
                  date: '2012/12/18',
                  salary: '$313'
                },
                {
                  name: 'Tatyana Fitzpatrick',
                  position: 'Regional Director',
                  office: 'London',
                  age: '19',
                  date: '2010/03/17',
                  salary: '$385'
                },
                {
                  name: 'Michael Silva',
                  position: 'Marketing Designer',
                  office: 'London',
                  age: '66',
                  date: '2012/11/27',
                  salary: '$198'
                },
                {
                  name: 'Paul Byrd',
                  position: 'Chief Financial Officer (CFO)',
                  office: 'New York',
                  age: '64',
                  date: '2010/06/09',
                  salary: '$725'
                },
                {
                  name: 'Gloria Little',
                  position: 'Systems Administrator',
                  office: 'New York',
                  age: '59',
                  date: '2009/04/10',
                  salary: '$237'
                },
                {
                  name: 'Bradley Greer',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '41',
                  date: '2012/10/13',
                  salary: '$132'
                },
                {
                  name: 'Dai Rios',
                  position: 'Personnel Lead',
                  office: 'Edinburgh',
                  age: '35',
                  date: '2012/09/26',
                  salary: '$217'
                },
                {
                  name: 'Jenette Caldwell',
                  position: 'Development Lead',
                  office: 'New York',
                  age: '30',
                  date: '2011/09/03',
                  salary: '$345'
                },
                {
                  name: 'Yuri Berry',
                  position: 'Chief Marketing Officer (CMO)',
                  office: 'New York',
                  age: '40',
                  date: '2009/06/25',
                  salary: '$675'
                },
                {
                  name: 'Caesar Vance',
                  position: 'Pre-Sales Support',
                  office: 'New York',
                  age: '21',
                  date: '2011/12/12',
                  salary: '$106'
                },
                {
                  name: 'Doris Wilder',
                  position: 'Sales Assistant',
                  office: 'Sidney',
                  age: '23',
                  date: '2010/09/20',
                  salary: '$85'
                },
                {
                  name: 'Angelica Ramos',
                  position: 'Chief Executive Officer (CEO)',
                  office: 'London',
                  age: '47',
                  date: '2009/10/09',
                  salary: '$1'
                },
                {
                  name: 'Gavin Joyce',
                  position: 'Developer',
                  office: 'Edinburgh',
                  age: '42',
                  date: '2010/12/22',
                  salary: '$92'
                },
                {
                  name: 'Jennifer Chang',
                  position: 'Regional Director',
                  office: 'Singapore',
                  age: '28',
                  date: '2010/11/14',
                  salary: '$357'
                },
                {
                  name: 'Brenden Wagner',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '28',
                  date: '2011/06/07',
                  salary: '$206'
                },
                {
                  name: 'Fiona Green',
                  position: 'Chief Operating Officer (COO)',
                  office: 'San Francisco',
                  age: '48',
                  date: '2010/03/11',
                  salary: '$850'
                },
                {
                  name: 'Shou Itou',
                  position: 'Regional Marketing',
                  office: 'Tokyo',
                  age: '20',
                  date: '2011/08/14',
                  salary: '$163'
                },
                {
                  name: 'Michelle House',
                  position: 'Integration Specialist',
                  office: 'Sidney',
                  age: '37',
                  date: '2011/06/02',
                  salary: '$95'
                },
                {
                  name: 'Suki Burks',
                  position: 'Developer',
                  office: 'London',
                  age: '53',
                  date: '2009/10/22',
                  salary: '$114'
                },
                {
                  name: 'Prescott Bartlett',
                  position: 'Technical Author',
                  office: 'London',
                  age: '27',
                  date: '2011/05/07',
                  salary: '$145'
                },
                {
                  name: 'Gavin Cortez',
                  position: 'Team Leader',
                  office: 'San Francisco',
                  age: '22',
                  date: '2008/10/26',
                  salary: '$235'
                },
                {
                  name: 'Martena Mccray',
                  position: 'Post-Sales support',
                  office: 'Edinburgh',
                  age: '46',
                  date: '2011/03/09',
                  salary: '$324'
                },
                {
                  name: 'Unity Butler',
                  position: 'Marketing Designer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/12/09',
                  salary: '$85'
                },
                {
                  name: 'Howard Hatfield',
                  position: 'Office Manager',
                  office: 'San Francisco',
                  age: '51',
                  date: '2008/12/16',
                  salary: '$164'
                },
                {
                  name: 'Hope Fuentes',
                  position: 'Secretary',
                  office: 'San Francisco',
                  age: '41',
                  date: '2010/02/12',
                  salary: '$109'
                },
                {
                  name: 'Vivian Harrell',
                  position: 'Financial Controller',
                  office: 'San Francisco',
                  age: '62',
                  date: '2009/02/14',
                  salary: '$452'
                },
                {
                  name: 'Timothy Mooney',
                  position: 'Office Manager',
                  office: 'London',
                  age: '37',
                  date: '2008/12/11',
                  salary: '$136'
                },
                {
                  name: 'Jackson Bradshaw',
                  position: 'Director',
                  office: 'New York',
                  age: '65',
                  date: '2008/09/26',
                  salary: '$645'
                },
                {
                  name: 'Olivia Liang',
                  position: 'Support Engineer',
                  office: 'Singapore',
                  age: '64',
                  date: '2011/02/03',
                  salary: '$234'
                },
                {
                  name: 'Bruno Nash',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '38',
                  date: '2011/05/03',
                  salary: '$163'
                },
                {
                  name: 'Sakura Yamamoto',
                  position: 'Support Engineer',
                  office: 'Tokyo',
                  age: '37',
                  date: '2009/08/19',
                  salary: '$139'
                },
                {
                  name: 'Thor Walton',
                  position: 'Developer',
                  office: 'New York',
                  age: '61',
                  date: '2013/08/11',
                  salary: '$98'
                },
                {
                  name: 'Finn Camacho',
                  position: 'Support Engineer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/07/07',
                  salary: '$87'
                },
                {
                  name: 'Serge Baldwin',
                  position: 'Data Coordinator',
                  office: 'Singapore',
                  age: '64',
                  date: '2012/04/09',
                  salary: '$138'
                },
                {
                  name: 'Zenaida Frank',
                  position: 'Software Engineer',
                  office: 'New York',
                  age: '63',
                  date: '2010/01/04',
                  salary: '$125'
                },
                {
                  name: 'Zorita Serrano',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '56',
                  date: '2012/06/01',
                  salary: '$115'
                },
                {
                  name: 'Jennifer Acosta',
                  position: 'Junior Javascript Developer',
                  office: 'Edinburgh',
                  age: '43',
                  date: '2013/02/01',
                  salary: '$75'
                },
                {
                  name: 'Cara Stevens',
                  position: 'Sales Assistant',
                  office: 'New York',
                  age: '46',
                  date: '2011/12/06',
                  salary: '$145'
                },
                {
                  name: 'Hermione Butler',
                  position: 'Regional Director',
                  office: 'London',
                  age: '47',
                  date: '2011/03/21',
                  salary: '$356'
                },
                {
                  name: 'Lael Greer',
                  position: 'Systems Administrator',
                  office: 'London',
                  age: '21',
                  date: '2009/02/27',
                  salary: '$103'
                },
                {
                  name: 'Jonas Alexander',
                  position: 'Developer',
                  office: 'San Francisco',
                  age: '30',
                  date: '2010/07/14',
                  salary: '$86'
                },
                {
                  name: 'Shad Decker',
                  position: 'Regional Director',
                  office: 'Edinburgh',
                  age: '51',
                  date: '2008/11/13',
                  salary: '$183'
                },
                {
                  name: 'Michael Bruce',
                  position: 'Javascript Developer',
                  office: 'Singapore',
                  age: '29',
                  date: '2011/06/27',
                  salary: '$183'
                },
                {
                  name: 'Donna Snider',
                  position: 'Customer Support',
                  office: 'New York',
                  age: '27',
                  date: '2011/01/25',
                  salary: '$112'
                }
              ]
            }
          }
        }
      };
    </script>
    <style>
    </style>
    
        
    
        
            
    <template>
      <mdb-datatable data="https://YOUR_API_URL" striped bordered />
    </template>
    <script>
      import {
        mdbDatatable
      } from 'mdbvue';
      export default {
        name: 'DatatablePage',
        components: {
          mdbDatatable
        }
      };
    </script>
    
        
    
        
            
      data = {
        columns: [{
          label: String(displayed column label),
          field: String(corresponding key for cells),
          sort: String(Optional, 'asc' / 'desc', describes the initial sorting direcotry),
          format: Function(optional, formats the displayed data)
        }],
        rows: [
          {
            field: String(corresponds column 's field, contains cell data),
            field: String,
            field: String,
            ...
          }
        ]
      }
    
        
    

API Reference

All properties and options refered to mdb-datatable-2 component.

Name Type Default Description Example
sorting Boolean true Determines whether sorting is enabled/disabled. <mdb-datatable-2 striped>
order String[] Sets initial order. Accepts array of strings, index 0: table field by which you want to sort, index 1: sorting direction ('desc'/'asc'). <mdb-datatable-2 order="['age', 'desc']">
searching [String, Object] '' Determines searching value. <mdb-datatable-2 :searching="{value: search, field: 'office'}">
pagination Boolean true Determines whether pagination is enabled/disabled. <mdb-datatable-2 pagination="false">
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <mdb-datatable-2 scrollY>
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <mdb-datatable-2 maxHeight="400px">
striped Boolean false Adds zebra-striping to any table row. <mdb-datatable-2 striped>
bordered Boolean false Adds border on all table's and cell's sides. <mdb-datatable-2 bordered>
borderless Boolean false Disables border on all table's and cell's sides. <mdb-datatable-2 borderless>
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <mdb-datatable-2 hover>
small Boolean false Cuts cell's padding by half. <mdb-datatable-2 small>
reponsive Boolean true Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyon the bottom or top edge of the table.
<mdb-datatable-2 responsive>
reponsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <mdb-datatable-2 responsiveSm>
reponsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <mdb-datatable-2 responsiveMd>
reponsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <mdb-datatable-2 responsiveLg>
reponsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <mdb-datatable-2 responsiveXl>
autoWidth Boolean false Automatically adjust columns width to the content. <mdb-datatable-2 autoWidth>
filter String Adds a new select to filter table data by column name. <mdb-datatable-2 filter="office" >
fixed Boolean false Sets fixed columns width. <mdb-datatable-2 fixed>
arrows Boolean false Replaces 'Next', 'Previous', 'Start' and 'End' in the pagination with mdb-icons. <mdb-datatable-2 arrows>
start String 'Start' Replaces 'Start' in the pagination with the custom text. <mdb-datatable-2 start="<<">
end String "End" Replaces 'End' in the pagination with the custom text. <mdb-datatable-2 end=">>">
next String "Next" Replaces 'Next' in the pagination with the custom text. <mdb-datatable-2 next=">">
previous String "Previous" Replaces 'Previous' in the pagination with the custom text. <mdb-datatable-2 previous="<">
display Number 5 Specifies maximum number of pages displayed in the pagination. <mdb-datatable-2 :display="7">
defaultRow String '-' Specifies default value for the missing piece of data. <mdb-datatable-2 defaultRow="missing data">
defaultCol String 'undefined' Specifies default value for the column header - for example when one of the elements in the columns array is null <mdb-datatable-2 defaultCol="default header">
footer String Determines table footer content <mdb-datatable-2 footer="'<td colspan="7">Test</td>''">
refresh Boolean false If set to true, 'refresh' button will be shown. To refresh content data property has to be in following format: v-model="./https://YOUR_API" <mdb-datatable-2 v-model="./https://YOUR_API" refresh>
reactive Boolean false Triggers reloading data every 5 seconds (you can change this value with time property. To reload content data property has to be in following format: v-model="./https://YOUR_API" <mdb-datatable-2 v-model="./https://YOUR_API" reactive>
time Number 5000 Sets time interval for reloading reactive data . <mdb-datatable-2 v-model="./https://YOUR_API" reactive :time="3000">
searchPlaceholder String "Search" Changes placeholder in Search input to custom text <mdb-datatable-2 searchPlaceholder="..." >
entriesTitle String "Show entries" Changes title next to select with number of entries to custom text <mdb-datatable-2 entriesTitle="..." >
noFoundMessage String "No matching records found" Allows to display custom message informing user about lack of data <mdb-datatable-2 noFoundMessage="..." >
showingText String "Showing" Allows to resplace 'of'" with different word <mdb-datatable-2 showingText="..." >
btnColor String primary Changes refresh button's colot <mdb-datatable-2 btnColor="secondary" >
paginationColor String blue Changes the color of the pagination <mdb-datatable-2 paginationColor="red" >
selectColor String blue lighten-4 Changes the color of the selected row <mdb-datatable-2 selectColor="indigo lighten-3" >
hoverColor String blue lighten-5 Changes the color of the hovered row <mdb-datatable-2 hoverColor="indigo lighten-5" >
fixedHeader Boolean false Enables fixed header option <mdb-datatable-2 fixedHeader >
fixedCols Number Defines number of fixed cols. Keep in mind to define fixedColsPosition's to make it work fine. <mdb-datatable-2 :fixedCols="2" :fixedColsPosition="[0, 150]" >
fixedColsPosition Array [0, 120] Defines position of fixed cols <mdb-datatable-2 :fixedCols="2" :fixedColsPosition="[0, 150]" >
fixedColsBg String white Defines fixed cols background color <mdb-datatable-2 :fixedCols="2" :fixedColsPosition="[0, 150]" fixedColsBg="blue" >
fullPagination Boolean false Enables full pagination <mdb-datatable-2 fullPagination >
selectable Boolean false Enables selectable mode <mdb-datatable-2 selectable >
multiselectable Boolean false Enables multiselectable mode <mdb-datatable-2 multiselectable >

- property available only for PRO users.


API Reference: Events

Event Description Example
@selected It emits selected row data. <mdb-datatable-2 @selected="selected = $event" />
@fields Emits columns after a component mounts and once data is fetched from API <mdb-datatable-2 v-model="https://..." @fields="setColumns" />
@pages Emits an array of pages (sorted & grouped entries) <mdb-datatable-2 v-model="..." @pages="setPages" />

React Table Search

React Table Search - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap table search are a component which are super fast and easy to use searching functionality dedicated to our tables.

To manipulate table search use one of the options presented below.


Basic example

Name Position Office Age Start date Salary
Tiger Nixon System Architect Edinburgh 61 2011/04/25 $320,800
Garrett Winters Accountant Tokyo 63 2011/07/25 $170,750
Ashton Cox Junior Technical Author San Francisco 66 2009/01/12 $86,000
Cedric Kelly Senior Javascript Developer Edinburgh 22 2012/03/29 $433,060
Airi Satou Accountant Tokyo 33 2008/11/28 $162,700
Brielle Williamson Integration Specialist New York 61 2012/12/02 $372,000
Herrod Chandler Sales Assistant San Francisco 59 2012/08/06 $137,500
Rhona Davidson Integration Specialist Tokyo 55 2010/10/14 $327,900
Colleen Hurst Javascript Developer San Francisco 39 2009/09/15 $205,500
Sonya Frost Software Engineer Edinburgh 23 2008/12/13 $103,600
Jena Gaines Office Manager London 30 2008/12/19 $90,560
Quinn Flynn Support Lead Edinburgh 22 2013/03/03 $342,000
Charde Marshall Regional Director San Francisco 36 2008/10/16 $470,600
Haley Kennedy Senior Marketing Designer London 43 2012/12/18 $313,500
Tatyana Fitzpatrick Regional Director London 19 2010/03/17 $385,750
Michael Silva Marketing Designer London 66 2012/11/27 $198,500
Paul Byrd Chief Financial Officer (CFO) New York 64 2010/06/09 $725,000
Gloria Little Systems Administrator New York 59 2009/04/10 $237,500
Bradley Greer Software Engineer London 41 2012/10/13 $132,000
Dai Rios Personnel Lead Edinburgh 35 2012/09/26 $217,500
Jenette Caldwell Development Lead New York 30 2011/09/03 $345,000
Yuri Berry Chief Marketing Officer (CMO) New York 40 2009/06/25 $675,000
Caesar Vance Pre-Sales Support New York 21 2011/12/12 $106,450
Doris Wilder Sales Assistant Sidney 23 2010/09/20 $85,600
Angelica Ramos Chief Executive Officer (CEO) London 47 2009/10/09 $1,200,000
Gavin Joyce Developer Edinburgh 42 2010/12/22 $92,575
Jennifer Chang Regional Director Singapore 28 2010/11/14 $357,650
Brenden Wagner Software Engineer San Francisco 28 2011/06/07 $206,850
Fiona Green Chief Operating Officer (COO) San Francisco 48 2010/03/11 $850,000
Shou Itou Regional Marketing Tokyo 20 2011/08/14 $163,000
Michelle House Integration Specialist Sidney 37 2011/06/02 $95,400
Suki Burks Developer London 53 2009/10/22 $114,500
Prescott Bartlett Technical Author London 27 2011/05/07 $145,000
Gavin Cortez Team Leader San Francisco 22 2008/10/26 $235,500
Martena Mccray Post-Sales support Edinburgh 46 2011/03/09 $324,050
Unity Butler Marketing Designer San Francisco 47 2009/12/09 $85,675
Howard Hatfield Office Manager San Francisco 51 2008/12/16 $164,500
Hope Fuentes Secretary San Francisco 41 2010/02/12 $109,850
Vivian Harrell Financial Controller San Francisco 62 2009/02/14 $452,500
Timothy Mooney Office Manager London 37 2008/12/11 $136,200
Jackson Bradshaw Director New York 65 2008/09/26 $645,750
Olivia Liang Support Engineer Singapore 64 2011/02/03 $234,500
Bruno Nash Software Engineer London 38 2011/05/03 $163,500
Sakura Yamamoto Support Engineer Tokyo 37 2009/08/19 $139,575
Thor Walton Developer New York 61 2013/08/11 $98,540
Finn Camacho Support Engineer San Francisco 47 2009/07/07 $87,500
Serge Baldwin Data Coordinator Singapore 64 2012/04/09 $138,575
Zenaida Frank Software Engineer New York 63 2010/01/04 $125,250
Zorita Serrano Software Engineer San Francisco 56 2012/06/01 $115,000
Jennifer Acosta Junior Javascript Developer Edinburgh 43 2013/02/01 $75,650
Cara Stevens Sales Assistant New York 46 2011/12/06 $145,600
Hermione Butler Regional Director London 47 2011/03/21 $356,250
Lael Greer Systems Administrator London 21 2009/02/27 $103,500
Jonas Alexander Developer San Francisco 30 2010/07/14 $86,500
Shad Decker Regional Director Edinburgh 51 2008/11/13 $183,000
Michael Bruce Javascript Developer Singapore 29 2011/06/27 $183,000
Donna Snider Customer Support New York 27 2011/01/25 $112,000
Name Position Office Age Start date Salary
        
            
        import React from 'react';
        import { MDBDataTable } from 'mdbreact';

        const DatatablePage = () => {
          const data = {
            columns: [
              {
                label: 'Name',
                field: 'name',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Position',
                field: 'position',
                sort: 'asc',
                width: 270
              },
              {
                label: 'Office',
                field: 'office',
                sort: 'asc',
                width: 200
              },
              {
                label: 'Age',
                field: 'age',
                sort: 'asc',
                width: 100
              },
              {
                label: 'Start date',
                field: 'date',
                sort: 'asc',
                width: 150
              },
              {
                label: 'Salary',
                field: 'salary',
                sort: 'asc',
                width: 100
              }
            ],
            rows: [
              {
                name: 'Tiger Nixon',
                position: 'System Architect',
                office: 'Edinburgh',
                age: '61',
                date: '2011/04/25',
                salary: '$320'
              },
              {
                name: 'Garrett Winters',
                position: 'Accountant',
                office: 'Tokyo',
                age: '63',
                date: '2011/07/25',
                salary: '$170'
              },
              {
                name: 'Ashton Cox',
                position: 'Junior Technical Author',
                office: 'San Francisco',
                age: '66',
                date: '2009/01/12',
                salary: '$86'
              },
              {
                name: 'Cedric Kelly',
                position: 'Senior Javascript Developer',
                office: 'Edinburgh',
                age: '22',
                date: '2012/03/29',
                salary: '$433'
              },
              {
                name: 'Airi Satou',
                position: 'Accountant',
                office: 'Tokyo',
                age: '33',
                date: '2008/11/28',
                salary: '$162'
              },
              {
                name: 'Brielle Williamson',
                position: 'Integration Specialist',
                office: 'New York',
                age: '61',
                date: '2012/12/02',
                salary: '$372'
              },
              {
                name: 'Herrod Chandler',
                position: 'Sales Assistant',
                office: 'San Francisco',
                age: '59',
                date: '2012/08/06',
                salary: '$137'
              },
              {
                name: 'Rhona Davidson',
                position: 'Integration Specialist',
                office: 'Tokyo',
                age: '55',
                date: '2010/10/14',
                salary: '$327'
              },
              {
                name: 'Colleen Hurst',
                position: 'Javascript Developer',
                office: 'San Francisco',
                age: '39',
                date: '2009/09/15',
                salary: '$205'
              },
              {
                name: 'Sonya Frost',
                position: 'Software Engineer',
                office: 'Edinburgh',
                age: '23',
                date: '2008/12/13',
                salary: '$103'
              },
              {
                name: 'Jena Gaines',
                position: 'Office Manager',
                office: 'London',
                age: '30',
                date: '2008/12/19',
                salary: '$90'
              },
              {
                name: 'Quinn Flynn',
                position: 'Support Lead',
                office: 'Edinburgh',
                age: '22',
                date: '2013/03/03',
                salary: '$342'
              },
              {
                name: 'Charde Marshall',
                position: 'Regional Director',
                office: 'San Francisco',
                age: '36',
                date: '2008/10/16',
                salary: '$470'
              },
              {
                name: 'Haley Kennedy',
                position: 'Senior Marketing Designer',
                office: 'London',
                age: '43',
                date: '2012/12/18',
                salary: '$313'
              },
              {
                name: 'Tatyana Fitzpatrick',
                position: 'Regional Director',
                office: 'London',
                age: '19',
                date: '2010/03/17',
                salary: '$385'
              },
              {
                name: 'Michael Silva',
                position: 'Marketing Designer',
                office: 'London',
                age: '66',
                date: '2012/11/27',
                salary: '$198'
              },
              {
                name: 'Paul Byrd',
                position: 'Chief Financial Officer (CFO)',
                office: 'New York',
                age: '64',
                date: '2010/06/09',
                salary: '$725'
              },
              {
                name: 'Gloria Little',
                position: 'Systems Administrator',
                office: 'New York',
                age: '59',
                date: '2009/04/10',
                salary: '$237'
              },
              {
                name: 'Bradley Greer',
                position: 'Software Engineer',
                office: 'London',
                age: '41',
                date: '2012/10/13',
                salary: '$132'
              },
              {
                name: 'Dai Rios',
                position: 'Personnel Lead',
                office: 'Edinburgh',
                age: '35',
                date: '2012/09/26',
                salary: '$217'
              },
              {
                name: 'Jenette Caldwell',
                position: 'Development Lead',
                office: 'New York',
                age: '30',
                date: '2011/09/03',
                salary: '$345'
              },
              {
                name: 'Yuri Berry',
                position: 'Chief Marketing Officer (CMO)',
                office: 'New York',
                age: '40',
                date: '2009/06/25',
                salary: '$675'
              },
              {
                name: 'Caesar Vance',
                position: 'Pre-Sales Support',
                office: 'New York',
                age: '21',
                date: '2011/12/12',
                salary: '$106'
              },
              {
                name: 'Doris Wilder',
                position: 'Sales Assistant',
                office: 'Sidney',
                age: '23',
                date: '2010/09/20',
                salary: '$85'
              },
              {
                name: 'Angelica Ramos',
                position: 'Chief Executive Officer (CEO)',
                office: 'London',
                age: '47',
                date: '2009/10/09',
                salary: '$1'
              },
              {
                name: 'Gavin Joyce',
                position: 'Developer',
                office: 'Edinburgh',
                age: '42',
                date: '2010/12/22',
                salary: '$92'
              },
              {
                name: 'Jennifer Chang',
                position: 'Regional Director',
                office: 'Singapore',
                age: '28',
                date: '2010/11/14',
                salary: '$357'
              },
              {
                name: 'Brenden Wagner',
                position: 'Software Engineer',
                office: 'San Francisco',
                age: '28',
                date: '2011/06/07',
                salary: '$206'
              },
              {
                name: 'Fiona Green',
                position: 'Chief Operating Officer (COO)',
                office: 'San Francisco',
                age: '48',
                date: '2010/03/11',
                salary: '$850'
              },
              {
                name: 'Shou Itou',
                position: 'Regional Marketing',
                office: 'Tokyo',
                age: '20',
                date: '2011/08/14',
                salary: '$163'
              },
              {
                name: 'Michelle House',
                position: 'Integration Specialist',
                office: 'Sidney',
                age: '37',
                date: '2011/06/02',
                salary: '$95'
              },
              {
                name: 'Suki Burks',
                position: 'Developer',
                office: 'London',
                age: '53',
                date: '2009/10/22',
                salary: '$114'
              },
              {
                name: 'Prescott Bartlett',
                position: 'Technical Author',
                office: 'London',
                age: '27',
                date: '2011/05/07',
                salary: '$145'
              },
              {
                name: 'Gavin Cortez',
                position: 'Team Leader',
                office: 'San Francisco',
                age: '22',
                date: '2008/10/26',
                salary: '$235'
              },
              {
                name: 'Martena Mccray',
                position: 'Post-Sales support',
                office: 'Edinburgh',
                age: '46',
                date: '2011/03/09',
                salary: '$324'
              },
              {
                name: 'Unity Butler',
                position: 'Marketing Designer',
                office: 'San Francisco',
                age: '47',
                date: '2009/12/09',
                salary: '$85'
              },
              {
                name: 'Howard Hatfield',
                position: 'Office Manager',
                office: 'San Francisco',
                age: '51',
                date: '2008/12/16',
                salary: '$164'
              },
              {
                name: 'Hope Fuentes',
                position: 'Secretary',
                office: 'San Francisco',
                age: '41',
                date: '2010/02/12',
                salary: '$109'
              },
              {
                name: 'Vivian Harrell',
                position: 'Financial Controller',
                office: 'San Francisco',
                age: '62',
                date: '2009/02/14',
                salary: '$452'
              },
              {
                name: 'Timothy Mooney',
                position: 'Office Manager',
                office: 'London',
                age: '37',
                date: '2008/12/11',
                salary: '$136'
              },
              {
                name: 'Jackson Bradshaw',
                position: 'Director',
                office: 'New York',
                age: '65',
                date: '2008/09/26',
                salary: '$645'
              },
              {
                name: 'Olivia Liang',
                position: 'Support Engineer',
                office: 'Singapore',
                age: '64',
                date: '2011/02/03',
                salary: '$234'
              },
              {
                name: 'Bruno Nash',
                position: 'Software Engineer',
                office: 'London',
                age: '38',
                date: '2011/05/03',
                salary: '$163'
              },
              {
                name: 'Sakura Yamamoto',
                position: 'Support Engineer',
                office: 'Tokyo',
                age: '37',
                date: '2009/08/19',
                salary: '$139'
              },
              {
                name: 'Thor Walton',
                position: 'Developer',
                office: 'New York',
                age: '61',
                date: '2013/08/11',
                salary: '$98'
              },
              {
                name: 'Finn Camacho',
                position: 'Support Engineer',
                office: 'San Francisco',
                age: '47',
                date: '2009/07/07',
                salary: '$87'
              },
              {
                name: 'Serge Baldwin',
                position: 'Data Coordinator',
                office: 'Singapore',
                age: '64',
                date: '2012/04/09',
                salary: '$138'
              },
              {
                name: 'Zenaida Frank',
                position: 'Software Engineer',
                office: 'New York',
                age: '63',
                date: '2010/01/04',
                salary: '$125'
              },
              {
                name: 'Zorita Serrano',
                position: 'Software Engineer',
                office: 'San Francisco',
                age: '56',
                date: '2012/06/01',
                salary: '$115'
              },
              {
                name: 'Jennifer Acosta',
                position: 'Junior Javascript Developer',
                office: 'Edinburgh',
                age: '43',
                date: '2013/02/01',
                salary: '$75'
              },
              {
                name: 'Cara Stevens',
                position: 'Sales Assistant',
                office: 'New York',
                age: '46',
                date: '2011/12/06',
                salary: '$145'
              },
              {
                name: 'Hermione Butler',
                position: 'Regional Director',
                office: 'London',
                age: '47',
                date: '2011/03/21',
                salary: '$356'
              },
              {
                name: 'Lael Greer',
                position: 'Systems Administrator',
                office: 'London',
                age: '21',
                date: '2009/02/27',
                salary: '$103'
              },
              {
                name: 'Jonas Alexander',
                position: 'Developer',
                office: 'San Francisco',
                age: '30',
                date: '2010/07/14',
                salary: '$86'
              },
              {
                name: 'Shad Decker',
                position: 'Regional Director',
                office: 'Edinburgh',
                age: '51',
                date: '2008/11/13',
                salary: '$183'
              },
              {
                name: 'Michael Bruce',
                position: 'Javascript Developer',
                office: 'Singapore',
                age: '29',
                date: '2011/06/27',
                salary: '$183'
              },
              {
                name: 'Donna Snider',
                position: 'Customer Support',
                office: 'New York',
                age: '27',
                date: '2011/01/25',
                salary: '$112'
              }
            ]
          };

          return (
            <MDBDataTable
              striped
              bordered
              small
              data={data}
            />
          );
        }

        export default DatatablePage;
      
        
    


Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

React Datatables - API

This section present detailed information about Datatables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Datatables you need just one component.
MDBDatatable contains huge amount of options and custom styles (corresponding to static tables). Note: Data object keys cant be null.

        
            
          import React from 'react';
          import { MDBDataTable } from 'mdbreact';
        
        
    

Usage

There are two ways to bind your data into Datatable
You can build an object of structured data, or bind the link to external API (Json from API must have the same structure as object described below).

        
            
          const DatatablePage = () => {
            const data = {
              columns: [
                {
                  label: 'Name',
                  field: 'name',
                  sort: 'asc',
                  width: 150
                },
                {
                  label: 'Position',
                  field: 'position',
                  sort: 'asc',
                  width: 270
                },
                {
                  label: 'Office',
                  field: 'office',
                  sort: 'asc',
                  width: 200
                },
                {
                  label: 'Age',
                  field: 'age',
                  sort: 'asc',
                  width: 100
                },
                {
                  label: 'Start date',
                  field: 'date',
                  sort: 'asc',
                  width: 150
                },
                {
                  label: 'Salary',
                  field: 'salary',
                  sort: 'asc',
                  width: 100
                }
              ],
              rows: [
                {
                  name: 'Tiger Nixon',
                  position: 'System Architect',
                  office: 'Edinburgh',
                  age: '61',
                  date: '2011/04/25',
                  salary: '$320'
                },
                {
                  name: 'Garrett Winters',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '63',
                  date: '2011/07/25',
                  salary: '$170'
                },
                {
                  name: 'Ashton Cox',
                  position: 'Junior Technical Author',
                  office: 'San Francisco',
                  age: '66',
                  date: '2009/01/12',
                  salary: '$86'
                },
                {
                  name: 'Cedric Kelly',
                  position: 'Senior Javascript Developer',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2012/03/29',
                  salary: '$433'
                },
                {
                  name: 'Airi Satou',
                  position: 'Accountant',
                  office: 'Tokyo',
                  age: '33',
                  date: '2008/11/28',
                  salary: '$162'
                },
                {
                  name: 'Brielle Williamson',
                  position: 'Integration Specialist',
                  office: 'New York',
                  age: '61',
                  date: '2012/12/02',
                  salary: '$372'
                },
                {
                  name: 'Herrod Chandler',
                  position: 'Sales Assistant',
                  office: 'San Francisco',
                  age: '59',
                  date: '2012/08/06',
                  salary: '$137'
                },
                {
                  name: 'Rhona Davidson',
                  position: 'Integration Specialist',
                  office: 'Tokyo',
                  age: '55',
                  date: '2010/10/14',
                  salary: '$327'
                },
                {
                  name: 'Colleen Hurst',
                  position: 'Javascript Developer',
                  office: 'San Francisco',
                  age: '39',
                  date: '2009/09/15',
                  salary: '$205'
                },
                {
                  name: 'Sonya Frost',
                  position: 'Software Engineer',
                  office: 'Edinburgh',
                  age: '23',
                  date: '2008/12/13',
                  salary: '$103'
                },
                {
                  name: 'Jena Gaines',
                  position: 'Office Manager',
                  office: 'London',
                  age: '30',
                  date: '2008/12/19',
                  salary: '$90'
                },
                {
                  name: 'Quinn Flynn',
                  position: 'Support Lead',
                  office: 'Edinburgh',
                  age: '22',
                  date: '2013/03/03',
                  salary: '$342'
                },
                {
                  name: 'Charde Marshall',
                  position: 'Regional Director',
                  office: 'San Francisco',
                  age: '36',
                  date: '2008/10/16',
                  salary: '$470'
                },
                {
                  name: 'Haley Kennedy',
                  position: 'Senior Marketing Designer',
                  office: 'London',
                  age: '43',
                  date: '2012/12/18',
                  salary: '$313'
                },
                {
                  name: 'Tatyana Fitzpatrick',
                  position: 'Regional Director',
                  office: 'London',
                  age: '19',
                  date: '2010/03/17',
                  salary: '$385'
                },
                {
                  name: 'Michael Silva',
                  position: 'Marketing Designer',
                  office: 'London',
                  age: '66',
                  date: '2012/11/27',
                  salary: '$198'
                },
                {
                  name: 'Paul Byrd',
                  position: 'Chief Financial Officer (CFO)',
                  office: 'New York',
                  age: '64',
                  date: '2010/06/09',
                  salary: '$725'
                },
                {
                  name: 'Gloria Little',
                  position: 'Systems Administrator',
                  office: 'New York',
                  age: '59',
                  date: '2009/04/10',
                  salary: '$237'
                },
                {
                  name: 'Bradley Greer',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '41',
                  date: '2012/10/13',
                  salary: '$132'
                },
                {
                  name: 'Dai Rios',
                  position: 'Personnel Lead',
                  office: 'Edinburgh',
                  age: '35',
                  date: '2012/09/26',
                  salary: '$217'
                },
                {
                  name: 'Jenette Caldwell',
                  position: 'Development Lead',
                  office: 'New York',
                  age: '30',
                  date: '2011/09/03',
                  salary: '$345'
                },
                {
                  name: 'Yuri Berry',
                  position: 'Chief Marketing Officer (CMO)',
                  office: 'New York',
                  age: '40',
                  date: '2009/06/25',
                  salary: '$675'
                },
                {
                  name: 'Caesar Vance',
                  position: 'Pre-Sales Support',
                  office: 'New York',
                  age: '21',
                  date: '2011/12/12',
                  salary: '$106'
                },
                {
                  name: 'Doris Wilder',
                  position: 'Sales Assistant',
                  office: 'Sidney',
                  age: '23',
                  date: '2010/09/20',
                  salary: '$85'
                },
                {
                  name: 'Angelica Ramos',
                  position: 'Chief Executive Officer (CEO)',
                  office: 'London',
                  age: '47',
                  date: '2009/10/09',
                  salary: '$1'
                },
                {
                  name: 'Gavin Joyce',
                  position: 'Developer',
                  office: 'Edinburgh',
                  age: '42',
                  date: '2010/12/22',
                  salary: '$92'
                },
                {
                  name: 'Jennifer Chang',
                  position: 'Regional Director',
                  office: 'Singapore',
                  age: '28',
                  date: '2010/11/14',
                  salary: '$357'
                },
                {
                  name: 'Brenden Wagner',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '28',
                  date: '2011/06/07',
                  salary: '$206'
                },
                {
                  name: 'Fiona Green',
                  position: 'Chief Operating Officer (COO)',
                  office: 'San Francisco',
                  age: '48',
                  date: '2010/03/11',
                  salary: '$850'
                },
                {
                  name: 'Shou Itou',
                  position: 'Regional Marketing',
                  office: 'Tokyo',
                  age: '20',
                  date: '2011/08/14',
                  salary: '$163'
                },
                {
                  name: 'Michelle House',
                  position: 'Integration Specialist',
                  office: 'Sidney',
                  age: '37',
                  date: '2011/06/02',
                  salary: '$95'
                },
                {
                  name: 'Suki Burks',
                  position: 'Developer',
                  office: 'London',
                  age: '53',
                  date: '2009/10/22',
                  salary: '$114'
                },
                {
                  name: 'Prescott Bartlett',
                  position: 'Technical Author',
                  office: 'London',
                  age: '27',
                  date: '2011/05/07',
                  salary: '$145'
                },
                {
                  name: 'Gavin Cortez',
                  position: 'Team Leader',
                  office: 'San Francisco',
                  age: '22',
                  date: '2008/10/26',
                  salary: '$235'
                },
                {
                  name: 'Martena Mccray',
                  position: 'Post-Sales support',
                  office: 'Edinburgh',
                  age: '46',
                  date: '2011/03/09',
                  salary: '$324'
                },
                {
                  name: 'Unity Butler',
                  position: 'Marketing Designer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/12/09',
                  salary: '$85'
                },
                {
                  name: 'Howard Hatfield',
                  position: 'Office Manager',
                  office: 'San Francisco',
                  age: '51',
                  date: '2008/12/16',
                  salary: '$164'
                },
                {
                  name: 'Hope Fuentes',
                  position: 'Secretary',
                  office: 'San Francisco',
                  age: '41',
                  date: '2010/02/12',
                  salary: '$109'
                },
                {
                  name: 'Vivian Harrell',
                  position: 'Financial Controller',
                  office: 'San Francisco',
                  age: '62',
                  date: '2009/02/14',
                  salary: '$452'
                },
                {
                  name: 'Timothy Mooney',
                  position: 'Office Manager',
                  office: 'London',
                  age: '37',
                  date: '2008/12/11',
                  salary: '$136'
                },
                {
                  name: 'Jackson Bradshaw',
                  position: 'Director',
                  office: 'New York',
                  age: '65',
                  date: '2008/09/26',
                  salary: '$645'
                },
                {
                  name: 'Olivia Liang',
                  position: 'Support Engineer',
                  office: 'Singapore',
                  age: '64',
                  date: '2011/02/03',
                  salary: '$234'
                },
                {
                  name: 'Bruno Nash',
                  position: 'Software Engineer',
                  office: 'London',
                  age: '38',
                  date: '2011/05/03',
                  salary: '$163'
                },
                {
                  name: 'Sakura Yamamoto',
                  position: 'Support Engineer',
                  office: 'Tokyo',
                  age: '37',
                  date: '2009/08/19',
                  salary: '$139'
                },
                {
                  name: 'Thor Walton',
                  position: 'Developer',
                  office: 'New York',
                  age: '61',
                  date: '2013/08/11',
                  salary: '$98'
                },
                {
                  name: 'Finn Camacho',
                  position: 'Support Engineer',
                  office: 'San Francisco',
                  age: '47',
                  date: '2009/07/07',
                  salary: '$87'
                },
                {
                  name: 'Serge Baldwin',
                  position: 'Data Coordinator',
                  office: 'Singapore',
                  age: '64',
                  date: '2012/04/09',
                  salary: '$138'
                },
                {
                  name: 'Zenaida Frank',
                  position: 'Software Engineer',
                  office: 'New York',
                  age: '63',
                  date: '2010/01/04',
                  salary: '$125'
                },
                {
                  name: 'Zorita Serrano',
                  position: 'Software Engineer',
                  office: 'San Francisco',
                  age: '56',
                  date: '2012/06/01',
                  salary: '$115'
                },
                {
                  name: 'Jennifer Acosta',
                  position: 'Junior Javascript Developer',
                  office: 'Edinburgh',
                  age: '43',
                  date: '2013/02/01',
                  salary: '$75'
                },
                {
                  name: 'Cara Stevens',
                  position: 'Sales Assistant',
                  office: 'New York',
                  age: '46',
                  date: '2011/12/06',
                  salary: '$145'
                },
                {
                  name: 'Hermione Butler',
                  position: 'Regional Director',
                  office: 'London',
                  age: '47',
                  date: '2011/03/21',
                  salary: '$356'
                },
                {
                  name: 'Lael Greer',
                  position: 'Systems Administrator',
                  office: 'London',
                  age: '21',
                  date: '2009/02/27',
                  salary: '$103'
                },
                {
                  name: 'Jonas Alexander',
                  position: 'Developer',
                  office: 'San Francisco',
                  age: '30',
                  date: '2010/07/14',
                  salary: '$86'
                },
                {
                  name: 'Shad Decker',
                  position: 'Regional Director',
                  office: 'Edinburgh',
                  age: '51',
                  date: '2008/11/13',
                  salary: '$183'
                },
                {
                  name: 'Michael Bruce',
                  position: 'Javascript Developer',
                  office: 'Singapore',
                  age: '29',
                  date: '2011/06/27',
                  salary: '$183'
                },
                {
                  name: 'Donna Snider',
                  position: 'Customer Support',
                  office: 'New York',
                  age: '27',
                  date: '2011/01/25',
                  salary: '$112'
                }
              ]
            };
            
            return (
              <MDBDataTable 
                striped 
                bordered
                hover
                data={data}
              />
            );
          }
        
        
    
        
            
          const DatatablePage = () => {
            return (
              <MDBDataTable 
                data="https://YOUR_API_URL"
              />
            );
          }
        
        
    
        
            
          data = {
            columns: [
              {
                label: String (displayed column label),
                field: String (corresponding key for cells),
                width: Number (Optional minimal column width in px),
                sort: String (Optional, 'asc'/'desc'/'disabled', describes the initial sorting directory, or disables column sorting),
                attributes: {
                  "attribute": "value"
                } : Object collection (Optional, sets html attributes of the element | f.e. "aria-controls", "aria-label")

              }
            ],
            rows: [
              {
                field: String (corresponds column's field, contains cell data),
                field: String,
                field: String,
                ...
                clickEvent: yourClickHandler
              }
            ]
          }
        
        
    

API Reference

All properties and options referred to MDBDataTable component.

Name Type Default Description Example
autoWidth Boolean false Automatically adjust columns width to the content. <MDBDataTable autoWidth />
bordered Boolean false Adds border on all table's and cell's sides. <MDBDataTable bordered />
borderless Boolean false Disables border on all table's and cell's sides. <MDBDataTable borderless />
btn Boolean false Adjust table styles to work with content like buttons. <MDBDataTable btn />
dark Boolean false Sets dark color palette of the table. <MDBDataTable dark />
data Object or String Attach your data or link to the JSON with your data. <MDBDataTable data={this.state.data} />
entries Number 10 Initial entries amount value. <MDBDataTable entries={20} />
entriesLabel String Show entries Change entries label; you can attach jsx code to render f.e. links. <MDBDataTable entriesLabel="Show entries" />
entriesOptions Array[Number] [10, 20, 50, 100] Sets entries amount options available to select in dropdown. <MDBDataTable entriesOptions={[ 5, 10, 15 ]} />
exportToCSV Boolean false (ONLY FOR PRO) if you add this property the button will appear. By clicking it the .csv file with your table will be downloaded. <MDBDataTable exportToCSV />
fixed Boolean false Sets fixed columns width. <MDBDataTable fixed />
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <MDBDataTable hover />
info Boolean true Determines whether pagination info is enabled/disabled. <MDBDataTable info={false} />
infoLabel Array[String] ["Showing", "to", "of", "entries"] Change text of paging information. <MDBDataTable infoLabel={["Showing", "to", "of", "entries"]} />
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <MDBDataTable maxHeight="400px" />
order Array[String] Sets initial order. Accepts array of strings, index 0: table field by which you want to sort, index 1: sorting direction ('desc'/'asc'). <MDBDataTable order={['age', 'desc']} />
pagesAmount Number 8 Initial number of pages simultaneously visible in pagination. <MDBDataTable pagesAmount={10} />
paging Boolean true Determines whether pagination is enabled/disabled. <MDBDataTable paging={false} />
paginationLabel Array[String] ["Previous", "Next"] Change pagination buttons labels. <MDBDataTable paginationLabel={["Previous", "Next"]} />
responsive Boolean false Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyond the bottom or top edge of the table.
<MDBDataTable responsive />
responsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <MDBDataTable responsiveSm />
responsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <MDBDataTable responsiveMd />
responsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <MDBDataTable responsiveLg />
responsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <MDBDataTable responsiveXl />
searching Boolean true Determines whether searching is enabled/disabled. <MDBDataTable searching={false} />
searchLabel String Search Change text of search label. <MDBDataTable searchLabel="Search" />
scrollX Boolean false Allows table to be scrolled horizontally. Combine this prop with column's 'width' for the best effects. <MDBDataTable scrollX />
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <MDBDataTable scrollY />
sortable Boolean true Determines whether sorting is enabled/disabled. <MDBDataTable sortable />
small Boolean false Cuts cell's padding by half. <MDBDataTable small />
striped Boolean false Adds zebra-striping to any table row. <MDBDataTable striped />
theadColor String Sets background color of table head. <MDBDataTable theadColor="indigo" />
theadTextWhite Boolean false Sets white color of table head's font. <MDBDataTable theadTextWhite />
tbodyColor String Sets background color of table body. <MDBDataTable theadColor="indigo" />
tbodyTextWhite Boolean false Sets white color of table body's font. <MDBDataTable theadTextWhite />

API Reference: DataTable Methods

Name Parameters Description Example
clickEvent event This method can be attached to every row by passing inside object as it's method. It is attached to tr element and return event object on click. You can also attach a function with parameter (f.e. row id) () => this.handleClick(id) data = { columns, rows: [ { name: "Alex", clickEvent: this.handleRowClick } ]}